--------------------------------------------------------------------
-- e_win_yellow_sphere.lua
-- Q[IoiFʁj
--
-- author IZUMI STUDIO
-- date 2009-08-20 VK쐬
--------------------------------------------------------------------

require(".\\scripts\\common")

function createElement_Ring3()
	local mover = Effect.CreateAnimator_Still(
		0.0, 0.0, 0.0,
		0.0, 0.0, 0.0 )
	
	local rotator = Effect.CreateAnimator_Still(
		0.0, 0.0, 0.0,
		0.0, 0.0, 0.0 )
	
	Effect.CreateElement_Ring(
		0,0,0,0,
		0,0,0,0,
		255,255,255,255,
		0,255,255,255,
		0,0,0,0,
		0,0,0,0,
		INTERPOLATION_EASE_OUT4,
		0.0, 4.0,
		INTERPOLATION_EASE_OUT4,
		0.2, 0.2,
		INTERPOLATION_EASE_OUT4,
		24,
		255,
		0.5,
		EFFECT_BLEND_ADD,
		EFFECT_BILLBOARD_NORMAL,
		0, 30, 1,
		mover, rotator )
end

function createElement_Particle2( delay, alpha )
	local vX = math.random()*0.04 -0.02
	local vZ = math.random()*0.04 -0.02
	local arY = math.random()*0.01 + 0.0004
	
	local mover = Effect.CreateAnimator_Dynamics(
		0.0, 0.0, 0.0,
		0.0, 0.0, 0.0,
		vX*24.0, 0.0, vZ*24.0,
		0.0, 0.4, 0.0,
		-vX*0.36, arY*1.5, -vZ*0.36,
		0.0, 0.0, 0.0 )
	
	local rotator = Effect.CreateAnimator_Still(
		0.0, 0.0, 0.0,
		0.0, 0.0, 0.0 )
	
	w = math.random() * 0.05 + 0.03
	w = w * 4.0
	
	Effect.CreateElement_Circle(
		255,alpha,alpha,alpha,
		255,0,0,0,
		255,0,0,0,
		255,0,0,0,
		w, w,
		INTERPOLATION_LINEAR,
		EFFECT_BLEND_ADD,
		EFFECT_BILLBOARD_NORMAL,
		delay, 10+math.random()*50.0, 1,
		mover, rotator )
end

for idx = 1, 20 do
	createElement_Particle2( 0, 255*(16.0-idx/2.0)/16.0 )
end



