--------------------------------------------------------------------
-- s_init_destpos_records.lua
-- J[\ړ|CgiRecordsj
--
-- author IZUMI STUDIO
-- date
--------------------------------------------------------------------
require(".\\scripts\\menu\\s_common")

BASE_RESOLUTION_WIDTH  = 800
BASE_RESOLUTION_HEIGHT = 600
resolutionWidth  = Scene.GetEnvParameterInt("ResolutionWidth")
resolutionHeight = Scene.GetEnvParameterInt("ResolutionHeight")
aspectRatio      = Scene.GetEnvParameterFloat("AspectRatio")

-- u1.333 ƁÅOvƍl
margin    = ( (aspectRatio-1.333) / (aspectRatio) ) * resolutionWidth / 2.0
mainWidth = resolutionWidth * 1.333 / aspectRatio

button_ReturnPos = {
	margin + 190.0 / BASE_RESOLUTION_WIDTH * mainWidth,
	560.5 / BASE_RESOLUTION_HEIGHT * resolutionHeight }

-- SăNA
Scene.ClearCursorDestPoints(0)

-- {^iReturnj
Scene.AddCursorDestPoint( 0, 
	button_ReturnPos[1], button_ReturnPos[2], -- dest
	button_ReturnPos[1], button_ReturnPos[2], -- up
	button_ReturnPos[1], button_ReturnPos[2], -- down
	button_ReturnPos[1], button_ReturnPos[2], -- left
	button_ReturnPos[1], button_ReturnPos[2] ) -- right


