--------------------------------------------------------------------
-- s_create_records.lua
-- IuWFNgiRecordspj
--
-- author IZUMI STUDIO
-- date
--------------------------------------------------------------------
require(".\\scripts\\menu\\s_common")


---------------------------------------------------------------------
-- Plate
---------------------------------------------------------------------
play_count = Scene.GetEnvParameterInt( "NormalGame_PlayCount" )
win_count  = Scene.GetEnvParameterInt( "NormalGame_WinCount" )

Scene.CreatePlate( 0,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	CAMERA_RECORDS[4], CAMERA_RECORDS[5], CAMERA_RECORDS[6],
	CAMERA_RECORDS[1], CAMERA_RECORDS[2], CAMERA_RECORDS[3],
	(400.0-400.0)/400.0 * PROJ_HALF_WIDTH,
	(300.0-322.5)/300.0 * PROJ_HALF_WIDTH,
	0.0,
	MODEL_NAME_MENU_PLATE, -- model
	5.0/255.0, 224.0/255.0, 252.0/255.0, 41.0/100.0, -- color
	play_count, win_count -- play count, winning count
	)


---------------------------------------------------------------------
-- Return
---------------------------------------------------------------------
CAPTION_Z = -(20.0+2.0)*PROJ_HALF_WIDTH/400.0*1.333
PROJ_CAPTION_RADIUS = ( -CAMERA_POS_Z + CAPTION_Z ) / math.cos( PROJ_FOV/2.0 )
PROJ_CAPTION_HALF_WIDTH = PROJ_CAPTION_RADIUS * math.sin( PROJ_FOV/2.0 )

Scene.CreateBar( 0,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	CAMERA_RECORDS[4], CAMERA_RECORDS[5], CAMERA_RECORDS[6],
	CAMERA_RECORDS[1], CAMERA_RECORDS[2], CAMERA_RECORDS[3],
	(24.0-400.0)/400.0 * PROJ_HALF_WIDTH,
	(300.0-560.5)/300.0 * PROJ_HALF_WIDTH,
	0.0,
	MODEL_NAME_MENU_BUTTON_RETURN, -- model
	OPTION_CAPTION, -- option
	"scripts\\menu\\s_push_return2.lua", -- on click script
	
	-- Caption
	0.0, 0.0, CAPTION_Z, -- Caption Pos
	"Return", -- Caption Text
	1.0, 1.0, 1.0, 1.0, -- Caption Color
	ALIGN_CENTER + ALIGN_VCENTER, 21.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Caption 2
	0.0, 0.0, 0.0, -- Caption Pos
	"", -- Caption Text
	0.0, 0.0, 0.0, 0.0, -- Caption Color
	0, 1.0,         -- Align, Font Size
	
	-- Image
	"", -- name
	0.0, 0.0, 0.0, -- pos
	0.0, 0.0, 0.0, 0.0, -- dest rect
	0.0, 0.0, 0.0, 0.0 -- src rect
	 )




