--------------------------------------------------------------------
-- s_create_select_difficulty_gui.lua
-- IuWFNgiSelectDifficultypj
--
-- author IZUMI STUDIO
-- date
--------------------------------------------------------------------
require(".\\scripts\\menu\\s_common")


---------------------------------------------------------------------
-- Com 1
---------------------------------------------------------------------
CAPTION_Z = -(25.0+2.0)*PROJ_HALF_WIDTH/400.0*1.333
PROJ_CAPTION_RADIUS = ( -CAMERA_POS_Z + CAPTION_Z ) / math.cos( PROJ_FOV/2.0 )
PROJ_CAPTION_HALF_WIDTH = PROJ_CAPTION_RADIUS * math.sin( PROJ_FOV/2.0 )

Scene.CreateBar( 0,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	CAMERA_SELECT_DIFFICULTY[4], CAMERA_SELECT_DIFFICULTY[5], CAMERA_SELECT_DIFFICULTY[6],
	CAMERA_SELECT_DIFFICULTY[1], CAMERA_SELECT_DIFFICULTY[2], CAMERA_SELECT_DIFFICULTY[3],
	(406.0-400.0)/400.0 * PROJ_HALF_WIDTH,
	(300.0-186.0)/300.0 * PROJ_HALF_WIDTH,
	0.0,
	MODEL_NAME_MENU_BUTTON_DIFFICULTY, -- model
	OPTION_CAPTION + OPTION_CAPTION2, -- option
	AI_BUTTON_SCRIPT_1, -- on click script
	
	-- Caption
	-260.0*PROJ_CAPTION_HALF_WIDTH/400.0*1.333, 0.0, CAPTION_Z, -- Caption Pos
	AI_CAPTION_1_A, -- Caption Text
	1.0, 1.0, 1.0, 1.0, -- Caption Color
	ALIGN_LEFT + ALIGN_VCENTER, 21.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Caption 2
	260.0*PROJ_CAPTION_HALF_WIDTH/400.0*1.333, 0.0, CAPTION_Z, -- Caption Pos
	AI_CAPTION_1_B, -- Caption Text
	1.0, 1.0, 1.0, 1.0, -- Caption Color
	ALIGN_RIGHT + ALIGN_VCENTER, 21.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Image
	"", -- name
	0.0, 0.0, 0.0, -- pos
	0.0, 0.0, 0.0, 0.0, -- dest rect
	0.0, 0.0, 0.0, 0.0 -- src rect
	 )


---------------------------------------------------------------------
-- Com 2
---------------------------------------------------------------------
CAPTION_Z = -(25.0+2.0)*PROJ_HALF_WIDTH/400.0*1.333
PROJ_CAPTION_RADIUS = ( -CAMERA_POS_Z + CAPTION_Z ) / math.cos( PROJ_FOV/2.0 )
PROJ_CAPTION_HALF_WIDTH = PROJ_CAPTION_RADIUS * math.sin( PROJ_FOV/2.0 )

Scene.CreateBar( 0,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	CAMERA_SELECT_DIFFICULTY[4], CAMERA_SELECT_DIFFICULTY[5], CAMERA_SELECT_DIFFICULTY[6],
	CAMERA_SELECT_DIFFICULTY[1], CAMERA_SELECT_DIFFICULTY[2], CAMERA_SELECT_DIFFICULTY[3],
	(406.0-400.0)/400.0 * PROJ_HALF_WIDTH,
	(300.0-252.5)/300.0 * PROJ_HALF_WIDTH,
	0.0,
	MODEL_NAME_MENU_BUTTON_DIFFICULTY, -- model
	OPTION_CAPTION + OPTION_CAPTION2, -- option
	AI_BUTTON_SCRIPT_2, -- on click script
	
	-- Caption
	-260.0*PROJ_CAPTION_HALF_WIDTH/400.0*1.333, 0.0, CAPTION_Z, -- Caption Pos
	AI_CAPTION_2_A, -- Caption Text
	1.0, 1.0, 1.0, 1.0, -- Caption Color
	ALIGN_LEFT + ALIGN_VCENTER, 21.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Caption 2
	260.0*PROJ_CAPTION_HALF_WIDTH/400.0*1.333, 0.0, CAPTION_Z, -- Caption Pos
	AI_CAPTION_2_B, -- Caption Text
	1.0, 1.0, 1.0, 1.0, -- Caption Color
	ALIGN_RIGHT + ALIGN_VCENTER, 21.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Image
	"", -- name
	0.0, 0.0, 0.0, -- pos
	0.0, 0.0, 0.0, 0.0, -- dest rect
	0.0, 0.0, 0.0, 0.0 -- src rect
	 )

---------------------------------------------------------------------
-- Com 3
---------------------------------------------------------------------
CAPTION_Z = -(25.0+2.0)*PROJ_HALF_WIDTH/400.0*1.333
PROJ_CAPTION_RADIUS = ( -CAMERA_POS_Z + CAPTION_Z ) / math.cos( PROJ_FOV/2.0 )
PROJ_CAPTION_HALF_WIDTH = PROJ_CAPTION_RADIUS * math.sin( PROJ_FOV/2.0 )

Scene.CreateBar( 0,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	CAMERA_SELECT_DIFFICULTY[4], CAMERA_SELECT_DIFFICULTY[5], CAMERA_SELECT_DIFFICULTY[6],
	CAMERA_SELECT_DIFFICULTY[1], CAMERA_SELECT_DIFFICULTY[2], CAMERA_SELECT_DIFFICULTY[3],
	(406.0-400.0)/400.0 * PROJ_HALF_WIDTH,
	(300.0-319.0)/300.0 * PROJ_HALF_WIDTH,
	0.0,
	MODEL_NAME_MENU_BUTTON_DIFFICULTY, -- model
	OPTION_CAPTION + OPTION_CAPTION2, -- option
	AI_BUTTON_SCRIPT_3, -- on click script
	
	-- Caption
	-260.0*PROJ_CAPTION_HALF_WIDTH/400.0*1.333, 0.0, CAPTION_Z, -- Caption Pos
	AI_CAPTION_3_A, -- Caption Text
	1.0, 1.0, 1.0, 1.0, -- Caption Color
	ALIGN_LEFT + ALIGN_VCENTER, 21.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Caption 2
	260.0*PROJ_CAPTION_HALF_WIDTH/400.0*1.333, 0.0, CAPTION_Z, -- Caption Pos
	AI_CAPTION_3_B, -- Caption Text
	1.0, 1.0, 1.0, 1.0, -- Caption Color
	ALIGN_RIGHT + ALIGN_VCENTER, 21.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Image
	"", -- name
	0.0, 0.0, 0.0, -- pos
	0.0, 0.0, 0.0, 0.0, -- dest rect
	0.0, 0.0, 0.0, 0.0 -- src rect
	 )

---------------------------------------------------------------------
-- Com 4
---------------------------------------------------------------------
CAPTION_Z = -(25.0+2.0)*PROJ_HALF_WIDTH/400.0*1.333
PROJ_CAPTION_RADIUS = ( -CAMERA_POS_Z + CAPTION_Z ) / math.cos( PROJ_FOV/2.0 )
PROJ_CAPTION_HALF_WIDTH = PROJ_CAPTION_RADIUS * math.sin( PROJ_FOV/2.0 )

Scene.CreateBar( 0,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	CAMERA_SELECT_DIFFICULTY[4], CAMERA_SELECT_DIFFICULTY[5], CAMERA_SELECT_DIFFICULTY[6],
	CAMERA_SELECT_DIFFICULTY[1], CAMERA_SELECT_DIFFICULTY[2], CAMERA_SELECT_DIFFICULTY[3],
	(406.0-400.0)/400.0 * PROJ_HALF_WIDTH,
	(300.0-385.0)/300.0 * PROJ_HALF_WIDTH,
	0.0,
	MODEL_NAME_MENU_BUTTON_DIFFICULTY, -- model
	OPTION_CAPTION + OPTION_CAPTION2, -- option
	AI_BUTTON_SCRIPT_4, -- on click script
	
	-- Caption
	-260.0*PROJ_CAPTION_HALF_WIDTH/400.0*1.333, 0.0, CAPTION_Z, -- Caption Pos
	AI_CAPTION_4_A, -- Caption Text
	1.0, 1.0, 1.0, 1.0, -- Caption Color
	ALIGN_LEFT + ALIGN_VCENTER, 21.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Caption 2
	260.0*PROJ_CAPTION_HALF_WIDTH/400.0*1.333, 0.0, CAPTION_Z, -- Caption Pos
	AI_CAPTION_4_B, -- Caption Text
	1.0, 1.0, 1.0, 1.0, -- Caption Color
	ALIGN_RIGHT + ALIGN_VCENTER, 21.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Image
	"", -- name
	0.0, 0.0, 0.0, -- pos
	0.0, 0.0, 0.0, 0.0, -- dest rect
	0.0, 0.0, 0.0, 0.0 -- src rect
	 )

---------------------------------------------------------------------
-- Com 5
---------------------------------------------------------------------
CAPTION_Z = -(25.0+2.0)*PROJ_HALF_WIDTH/400.0*1.333
PROJ_CAPTION_RADIUS = ( -CAMERA_POS_Z + CAPTION_Z ) / math.cos( PROJ_FOV/2.0 )
PROJ_CAPTION_HALF_WIDTH = PROJ_CAPTION_RADIUS * math.sin( PROJ_FOV/2.0 )

Scene.CreateBar( 0,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	CAMERA_SELECT_DIFFICULTY[4], CAMERA_SELECT_DIFFICULTY[5], CAMERA_SELECT_DIFFICULTY[6],
	CAMERA_SELECT_DIFFICULTY[1], CAMERA_SELECT_DIFFICULTY[2], CAMERA_SELECT_DIFFICULTY[3],
	(406.0-400.0)/400.0 * PROJ_HALF_WIDTH,
	(300.0-452.0)/300.0 * PROJ_HALF_WIDTH,
	0.0,
	MODEL_NAME_MENU_BUTTON_DIFFICULTY, -- model
	OPTION_CAPTION + OPTION_CAPTION2, -- option
	AI_BUTTON_SCRIPT_5, -- on click script
	
	-- Caption
	-260.0*PROJ_CAPTION_HALF_WIDTH/400.0*1.333, 0.0, CAPTION_Z, -- Caption Pos
	AI_CAPTION_5_A, -- Caption Text
	1.0, 1.0, 1.0, 1.0, -- Caption Color
	ALIGN_LEFT + ALIGN_VCENTER, 21.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Caption 2
	260.0*PROJ_CAPTION_HALF_WIDTH/400.0*1.333, 0.0, CAPTION_Z, -- Caption Pos
	AI_CAPTION_5_B, -- Caption Text
	1.0, 1.0, 1.0, 1.0, -- Caption Color
	ALIGN_RIGHT + ALIGN_VCENTER, 21.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Image
	"", -- name
	0.0, 0.0, 0.0, -- pos
	0.0, 0.0, 0.0, 0.0, -- dest rect
	0.0, 0.0, 0.0, 0.0 -- src rect
	 )


---------------------------------------------------------------------
-- Return
---------------------------------------------------------------------
CAPTION_Z = -(20.0+2.0)*PROJ_HALF_WIDTH/400.0*1.333
PROJ_CAPTION_RADIUS = ( -CAMERA_POS_Z + CAPTION_Z ) / math.cos( PROJ_FOV/2.0 )
PROJ_CAPTION_HALF_WIDTH = PROJ_CAPTION_RADIUS * math.sin( PROJ_FOV/2.0 )

Scene.CreateBar( 0,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	CAMERA_SELECT_DIFFICULTY[4], CAMERA_SELECT_DIFFICULTY[5], CAMERA_SELECT_DIFFICULTY[6],
	CAMERA_SELECT_DIFFICULTY[1], CAMERA_SELECT_DIFFICULTY[2], CAMERA_SELECT_DIFFICULTY[3],
	(24.0-400.0)/400.0 * PROJ_HALF_WIDTH,
	(300.0-560.5)/300.0 * PROJ_HALF_WIDTH,
	0.0,
	MODEL_NAME_MENU_BUTTON_RETURN, -- model
	OPTION_CAPTION, -- option
	"scripts\\menu\\s_push_return3.lua", -- on click script
	
	-- Caption
	0.0, 0.0, CAPTION_Z, -- Caption Pos
	"Return", -- Caption Text
	1.0, 1.0, 1.0, 1.0, -- Caption Color
	ALIGN_CENTER + ALIGN_VCENTER, 21.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Caption 2
	0.0, 0.0, 0.0, -- Caption Pos
	"", -- Caption Text
	0.0, 0.0, 0.0, 0.0, -- Caption Color
	0, 1.0,         -- Align, Font Size
	
	-- Image
	"", -- name
	0.0, 0.0, 0.0, -- pos
	0.0, 0.0, 0.0, 0.0, -- dest rect
	0.0, 0.0, 0.0, 0.0 -- src rect
	 )




