--------------------------------------------------------------------
-- s_create_select_mode_gui.lua
-- IuWFNgiSelectModepj
--
-- author IZUMI STUDIO
-- date
--------------------------------------------------------------------
require(".\\scripts\\menu\\s_common")


---------------------------------------------------------------------
-- 1 Player 
---------------------------------------------------------------------
CAPTION_Z = -(31.0+2.0)*PROJ_HALF_WIDTH/400.0*1.333
PROJ_CAPTION_RADIUS = ( -CAMERA_POS_Z + CAPTION_Z ) / math.cos( PROJ_FOV/2.0 )
PROJ_CAPTION_HALF_WIDTH = PROJ_CAPTION_RADIUS * math.sin( PROJ_FOV/2.0 )

Scene.CreateBar( 0,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	CAMERA_SELECT_MODE[4], CAMERA_SELECT_MODE[5], CAMERA_SELECT_MODE[6],
	CAMERA_SELECT_MODE[1], CAMERA_SELECT_MODE[2], CAMERA_SELECT_MODE[3],
	(406.0-400.0)/400.0 * PROJ_HALF_WIDTH,
	(300.0-222.0)/300.0 * PROJ_HALF_WIDTH,
	0.0,
	MODEL_NAME_MENU_BUTTON, -- model
	OPTION_CAPTION, -- option
	"scripts\\menu\\s_push_1player.lua", -- on click script
	
	-- Caption
	-260.0*PROJ_CAPTION_HALF_WIDTH/400.0*1.333, 0.0, CAPTION_Z, -- Caption Pos
	"1 Player", -- Caption Text
	251.0/255.0, 206.0/255.0, 4.0/255.0, 1.0, -- Caption Color
	ALIGN_LEFT + ALIGN_VCENTER, 28.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Caption 2
	0.0, 0.0, 0.0, -- Caption Pos
	"", -- Caption Text
	0.0, 0.0, 0.0, 0.0, -- Caption Color
	0, 1.0,         -- Align, Font Size
	
	-- Image
	"", -- name
	0.0, 0.0, 0.0, -- pos
	0.0, 0.0, 0.0, 0.0, -- dest rect
	0.0, 0.0, 0.0, 0.0 -- src rect
	 )


---------------------------------------------------------------------
-- 2 Players
---------------------------------------------------------------------
CAPTION_Z = -(31.0+2.0)*PROJ_HALF_WIDTH/400.0*1.333
PROJ_CAPTION_RADIUS = ( -CAMERA_POS_Z + CAPTION_Z ) / math.cos( PROJ_FOV/2.0 )
PROJ_CAPTION_HALF_WIDTH = PROJ_CAPTION_RADIUS * math.sin( PROJ_FOV/2.0 )

Scene.CreateBar( 0,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	CAMERA_SELECT_MODE[4], CAMERA_SELECT_MODE[5], CAMERA_SELECT_MODE[6],
	CAMERA_SELECT_MODE[1], CAMERA_SELECT_MODE[2], CAMERA_SELECT_MODE[3],
	(406.0-400.0)/400.0 * PROJ_HALF_WIDTH,
	(300.0-319.0)/300.0 * PROJ_HALF_WIDTH,
	0.0,
	MODEL_NAME_MENU_BUTTON, -- model
	OPTION_CAPTION, -- option
	"scripts\\menu\\s_push_2players.lua", -- on click script
	
	-- Caption
	-260.0*PROJ_CAPTION_HALF_WIDTH/400.0*1.333, 0.0, CAPTION_Z, -- Caption Pos
	"2 Players", -- Caption Text
	251.0/255.0, 206.0/255.0, 4.0/255.0, 1.0, -- Caption Color
	ALIGN_LEFT + ALIGN_VCENTER, 28.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Caption 2
	0.0, 0.0, 0.0, -- Caption Pos
	"", -- Caption Text
	0.0, 0.0, 0.0, 0.0, -- Caption Color
	0, 1.0,         -- Align, Font Size
	
	-- Image
	"", -- name
	0.0, 0.0, 0.0, -- pos
	0.0, 0.0, 0.0, 0.0, -- dest rect
	0.0, 0.0, 0.0, 0.0 -- src rect
	 )

---------------------------------------------------------------------
-- Records
---------------------------------------------------------------------
Scene.CreateBar( 0,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	CAMERA_SELECT_MODE[4], CAMERA_SELECT_MODE[5], CAMERA_SELECT_MODE[6],
	CAMERA_SELECT_MODE[1], CAMERA_SELECT_MODE[2], CAMERA_SELECT_MODE[3],
	(406.0-400.0)/400.0 * PROJ_HALF_WIDTH,
	(300.0-416.0)/300.0 * PROJ_HALF_WIDTH,
	0.0,
	MODEL_NAME_MENU_BUTTON, -- model
	OPTION_CAPTION, -- option
	"scripts\\menu\\s_push_records.lua", -- on click script
	
	-- Caption
	-260.0*PROJ_CAPTION_HALF_WIDTH/400.0*1.333, 0.0, CAPTION_Z, -- Caption Pos
	"Records", -- Caption Text
	251.0/255.0, 206.0/255.0, 4.0/255.0, 1.0, -- Caption Color
	ALIGN_LEFT + ALIGN_VCENTER, 28.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Caption 2
	0.0, 0.0, 0.0, -- Caption Pos
	"", -- Caption Text
	0.0, 0.0, 0.0, 0.0, -- Caption Color
	0, 1.0,         -- Align, Font Size
	
	-- Image
	"", -- name
	0.0, 0.0, 0.0, -- pos
	0.0, 0.0, 0.0, 0.0, -- dest rect
	0.0, 0.0, 0.0, 0.0 -- src rect
	 )


---------------------------------------------------------------------
-- Return
---------------------------------------------------------------------
CAPTION_Z = -(20.0+2.0)*PROJ_HALF_WIDTH/400.0*1.333
PROJ_CAPTION_RADIUS = ( -CAMERA_POS_Z + CAPTION_Z ) / math.cos( PROJ_FOV/2.0 )
PROJ_CAPTION_HALF_WIDTH = PROJ_CAPTION_RADIUS * math.sin( PROJ_FOV/2.0 )

Scene.CreateBar( 0,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	PROJ_HALF_WIDTH/400.0*1.333,
	CAMERA_SELECT_MODE[4], CAMERA_SELECT_MODE[5], CAMERA_SELECT_MODE[6],
	CAMERA_SELECT_MODE[1], CAMERA_SELECT_MODE[2], CAMERA_SELECT_MODE[3],
	(24.0-400.0)/400.0 * PROJ_HALF_WIDTH,
	(300.0-560.5)/300.0 * PROJ_HALF_WIDTH,
	0.0,
	MODEL_NAME_MENU_BUTTON_RETURN, -- model
	OPTION_CAPTION, -- option
	"scripts\\menu\\s_push_return.lua", -- on click script
	
	-- Caption
	0.0, 0.0, CAPTION_Z, -- Caption Pos
	"Return", -- Caption Text
	1.0, 1.0, 1.0, 1.0, -- Caption Color
	ALIGN_CENTER + ALIGN_VCENTER, 21.0/300.0 * PROJ_HALF_WIDTH,         -- Align, Font Size
	
	-- Caption 2
	0.0, 0.0, 0.0, -- Caption Pos
	"", -- Caption Text
	0.0, 0.0, 0.0, 0.0, -- Caption Color
	0, 1.0,         -- Align, Font Size
	
	-- Image
	"", -- name
	0.0, 0.0, 0.0, -- pos
	0.0, 0.0, 0.0, 0.0, -- dest rect
	0.0, 0.0, 0.0, 0.0 -- src rect
	 )





