--------------------------------------------------------------------
-- s_init_destpos_select_difficulty.lua
-- J[\ړ|CgiSelectDifficultyj
--
-- author IZUMI STUDIO
-- date
--------------------------------------------------------------------
require(".\\scripts\\menu\\s_common")

BASE_RESOLUTION_WIDTH  = 800
BASE_RESOLUTION_HEIGHT = 600
resolutionWidth  = Scene.GetEnvParameterInt("ResolutionWidth")
resolutionHeight = Scene.GetEnvParameterInt("ResolutionHeight")
aspectRatio      = Scene.GetEnvParameterFloat("AspectRatio")

-- u1.333 ƁÅOvƍl
margin    = ( (aspectRatio-1.333) / (aspectRatio) ) * resolutionWidth / 2.0
mainWidth = resolutionWidth * 1.333 / aspectRatio

button_Com1Pos = {
	margin + 406.0 / BASE_RESOLUTION_WIDTH * mainWidth,
	186.0 / BASE_RESOLUTION_HEIGHT * resolutionHeight }

button_Com2Pos = {
	margin + 406.0 / BASE_RESOLUTION_WIDTH * mainWidth,
	252.5 / BASE_RESOLUTION_HEIGHT * resolutionHeight }

button_Com3Pos = {
	margin + 406.0 / BASE_RESOLUTION_WIDTH * mainWidth,
	319.0 / BASE_RESOLUTION_HEIGHT * resolutionHeight }

button_Com4Pos = {
	margin + 406.0 / BASE_RESOLUTION_WIDTH * mainWidth,
	385.0 / BASE_RESOLUTION_HEIGHT * resolutionHeight }

button_Com5Pos = {
	margin + 406.0 / BASE_RESOLUTION_WIDTH * mainWidth,
	452.0 / BASE_RESOLUTION_HEIGHT * resolutionHeight }

button_ReturnPos = {
	margin + 190.0 / BASE_RESOLUTION_WIDTH * mainWidth,
	560.5 / BASE_RESOLUTION_HEIGHT * resolutionHeight }


-- SăNA
Scene.ClearCursorDestPoints(0)

-- {^icom1j
Scene.AddCursorDestPoint( 0, 
	button_Com1Pos[1], button_Com1Pos[2], -- dest
	button_ReturnPos[1], button_ReturnPos[2], -- up
	button_Com2Pos[1], button_Com2Pos[2], -- down
	button_Com1Pos[1], button_Com1Pos[2], -- left
	button_Com1Pos[1], button_Com1Pos[2] ) -- right

-- {^icom2j
Scene.AddCursorDestPoint( 0, 
	button_Com2Pos[1], button_Com2Pos[2], -- dest
	button_Com1Pos[1], button_Com1Pos[2], -- up
	button_Com3Pos[1], button_Com3Pos[2], -- down
	button_Com2Pos[1], button_Com2Pos[2], -- left
	button_Com2Pos[1], button_Com2Pos[2] ) -- right

-- {^icom3j
Scene.AddCursorDestPoint( 0, 
	button_Com3Pos[1], button_Com3Pos[2], -- dest
	button_Com2Pos[1], button_Com2Pos[2], -- up
	button_Com4Pos[1], button_Com4Pos[2], -- down
	button_Com3Pos[1], button_Com3Pos[2], -- left
	button_Com3Pos[1], button_Com3Pos[2] ) -- right

-- {^icom4j
Scene.AddCursorDestPoint( 0, 
	button_Com4Pos[1], button_Com4Pos[2], -- dest
	button_Com3Pos[1], button_Com3Pos[2], -- up
	button_Com5Pos[1], button_Com5Pos[2], -- down
	button_Com4Pos[1], button_Com4Pos[2], -- left
	button_Com4Pos[1], button_Com4Pos[2] ) -- right

-- {^icom5j
Scene.AddCursorDestPoint( 0, 
	button_Com5Pos[1], button_Com5Pos[2], -- dest
	button_Com4Pos[1], button_Com4Pos[2], -- up
	button_ReturnPos[1], button_ReturnPos[2], -- down
	button_Com5Pos[1], button_Com5Pos[2], -- left
	button_Com5Pos[1], button_Com5Pos[2] ) -- right

-- {^iReturnj
Scene.AddCursorDestPoint( 0, 
	button_ReturnPos[1], button_ReturnPos[2], -- dest
	button_Com5Pos[1], button_Com5Pos[2], -- up
	button_Com1Pos[1], button_Com1Pos[2], -- down
	button_ReturnPos[1], button_ReturnPos[2], -- left
	button_ReturnPos[1], button_ReturnPos[2] ) -- right


