--------------------------------------------------------------------
-- s_push_records.lua
-- {^iRecordsj̏
--
-- author IZUMI STUDIO
-- date
--------------------------------------------------------------------
require(".\\scripts\\menu\\s_common")

-- J[\ړ|Cg
require(".\\scripts\\menu\\s_init_destpos_records")

-----------------------------------------------------------------
-- UI ̕\/\
-----------------------------------------------------------------

-- Select Mode
Scene.SetVisible_Bar( 0, 0, 1 ) ; -- 1 Player
Scene.SetVisible_Bar( 0, 1, 1 ) ; -- 2 Players
Scene.SetVisible_Bar( 0, 2, 1 ) ; -- Records
Scene.SetVisible_Bar( 0, 3, 1 ) ; -- Return

-- Select Difficulty
Scene.SetVisible_Bar( 0, 4, 0 ) ; -- Com1
Scene.SetVisible_Bar( 0, 5, 0 ) ; -- Com2
Scene.SetVisible_Bar( 0, 6, 0 ) ; -- Com3
Scene.SetVisible_Bar( 0, 7, 0 ) ; -- Com4
Scene.SetVisible_Bar( 0, 8, 0 ) ; -- Com5
Scene.SetVisible_Bar( 0, 9, 0 ) ; -- Return

-- Select Flower
Scene.SetVisible_Bar( 0, 10, 0 ) ; -- Flower1
Scene.SetVisible_Bar( 0, 11, 0 ) ; -- Flower2
Scene.SetVisible_Bar( 0, 12, 0 ) ; -- Return

-- Records
Scene.SetVisible_Plate( 0, 0, 1 ) ;
Scene.SetVisible_Bar( 0, 13, 1 ) ; -- Return


-----------------------------------------------------------------
-- C
-----------------------------------------------------------------

-- UGtFNg폜
Scene.KillEffect( 0, EFFECT_MODEL )

-- SEĐ
PlaySE_Button_OK()

-- ʃTu^Cg\
Scene.ExecEffectScript( 0, ".\\scripts\\menu\\e_records.lua" )

-- Jړ
Scene.SetCamera(
	0,
	CAMERA_RECORDS[1], CAMERA_RECORDS[2], CAMERA_RECORDS[3],
	CAMERA_RECORDS[4], CAMERA_RECORDS[5], CAMERA_RECORDS[6],
	INTERPOLATION_EASE_OUT,
	 20 )

-- {^o
Scene.ExecEffectScript_CursorPos( 0, ".\\scripts\\menu\\e_push_button.lua" )

-- eϐݒ
Scene.SetEnvParameterInt( 0, "EnableInput", 0 )
Scene.SetEnvParameterInt( 20, "EnableInput", 1 )


-----------------------------------------------------------------
-- UI ̕\/\
-----------------------------------------------------------------

-- Select Mode
Scene.SetVisible_Bar( 0, 0, 0 ) ; -- 1 Player
Scene.SetVisible_Bar( 0, 1, 0 ) ; -- 2 Players
Scene.SetVisible_Bar( 0, 2, 0 ) ; -- Records
Scene.SetVisible_Bar( 0, 3, 0 ) ; -- Return

-- Select Difficulty
Scene.SetVisible_Bar( 0, 4, 0 ) ; -- Com1
Scene.SetVisible_Bar( 0, 5, 0 ) ; -- Com2
Scene.SetVisible_Bar( 0, 6, 0 ) ; -- Com3
Scene.SetVisible_Bar( 0, 7, 0 ) ; -- Com4
Scene.SetVisible_Bar( 0, 8, 0 ) ; -- Com5
Scene.SetVisible_Bar( 0, 9, 0 ) ; -- Return

-- Select Flower
Scene.SetVisible_Bar( 0, 10, 0 ) ; -- Flower1
Scene.SetVisible_Bar( 0, 11, 0 ) ; -- Flower2
Scene.SetVisible_Bar( 0, 12, 0 ) ; -- Return

-- Records
Scene.SetVisible_Plate( 0, 0, 1 ) ;
Scene.SetVisible_Bar( 0, 13, 1 ) ; -- Return


